<?php

namespace Litecms\Packageplan;

use User;

class Packageplan
{
    /**
     * $packageplan object.
     */
    protected $packageplan;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Packageplan\Interfaces\PackageplanRepositoryInterface $packageplan)
    {
        $this->packageplan = $packageplan;
    }

    /**
     * Returns count of packageplan.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.packageplan.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->packageplan->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PackageplanUserCriteria());
        }

        $packageplan = $this->packageplan->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('packageplan::' . $view, compact('packageplan'))->render();
    }
}
